//  AppearancePrefsView.swift
//  Tusker
//
//  Created by Shadowfacts on 6/13/19.
//  Copyright © 2019 Shadowfacts. All rights reserved.
//

import SwiftUI

struct AppearancePrefsView : View {
    @Preference(\.showRepliesInProfiles) var showRepliesInProfiles: Bool
    @Preference(\.hideCustomEmojiInUsernames) var hideCustomEmojiInUsernames: Bool
    
    @MappedPreference(\.avatarStyle, fromPref: { $0 == .circle }, toPref: { $0 ? .circle : .roundRect })
    var useCircularAvatars: Bool
    
    var body: some View {
        List {
            Toggle(isOn: _showRepliesInProfiles.binding) {
                Text("Show Replies in Profiles")
            }
            Toggle(isOn: _useCircularAvatars.binding) {
                Text("Use Circular Avatars")
            }
            Toggle(isOn: _hideCustomEmojiInUsernames.binding) {
                Text("Hide Custom Emoji in Usernames")
            }
        }
            .listStyle(.grouped)
            .navigationBarTitle(Text("Appearance"))
    }
}

#if DEBUG
struct AppearancePrefsView_Previews : PreviewProvider {
    static var previews: some View {
        AppearancePrefsView()
    }
}
#endif
